Waarom werken Java, Silverlight, Adobe Acrobat en andere plug-ins niet meer?

De ondersteuning voor NPAPI-plug-ins in Firefox behalve Adobe Flash zal in maart 2017 worden stopgezet, zodra Firefox-versie 52 wordt vrijgegeven.Vanaf Firefox-versie 52 is de ondersteuning voor NPAPI-plug-ins in Firefox beëindigd, behalve Adobe Flash. Sommige plug-ins die niet meer worden geladen zijn onder andere Java, Microsoft Silverlight en Adobe Acrobat. Zie dit compatibiliteitsdocument voor details.

De afgelopen paar jaar heeft Firefox diverse Web-API’s geïmplementeerd, zodat websites dezelfde dingen kunnen doen die ze altijd deden zonder plug-ins, waardoor u zeer waarschijnlijk geen verschil merkt in uw surfervaring.

Waarom heeft Firefox dit gedaan?

Het internet zit vol met websites die verder gaan dan statische pagina’s, zoals video, geluid en spellen. NPAPI-plug-ins, met name Flash, hebben bijgedragen aan de werking van deze interactieve pagina’s. NPAPI-plug-ins maken het browsen echter ook trager, minder veilig en verhogen de kans op crashes.

De afgelopen paar jaar heeft Firefox hard gewerkt aan het bouwen van vervangingen voor deze plug-ins. Samen worden ze Web-API’s genoemd; ze zijn ontworpen om de functie van deze plug-ins te vervangen zonder uw internetveiligheid, -stabiliteit en -prestaties te ondermijnen.

Eerder waren deze web-API’s nog niet helemaal gereed, waardoor Firefox de overgang heeft gestart door plug-ins handmatig te laten laden (klikken voor activeren).

Op dit moment zijn ze gereed. Veel websites hebben ze overgenomen, en u kunt van bijna al uw favoriete pagina’s genieten zonder oude en onveilige plug-ins te gebruiken. Net als andere moderne browsers zoals Google Chrome en Microsoft Edge verwijdert Firefox de ondersteuning voor deze NPAPI-plug-ins.

Ik ondervind problemen

In het geval dat u nog niet klaar bent voor deze overgang, blijft de ESR (Extended Support Release)-versie van Firefox 52 deze plug-ins tot begin 2018 ondersteunen. Klik hier om Firefox ESR te downloaden.

Belangrijk: de Windows 64-bits versie van Firefox 52 ESR ondersteunt alleen de Adobe Flash- en Microsoft Silverlight-plug-ins. Als u ook ondersteuning voor Java of andere plug-ins nodig hebt, kies dan de download voor Windows (32-bits).

Standaard zal Firefox 52 ESR hetzelfde gebruikersprofiel als andere versies van Firefox gebruiken. Het installeren van Firefox 52 ESR nadat u Firefox versie 55 of hoger gebruikt, kan problemen zoals foutmeldingen, niet goed werken van onderdelen van Firefox, en problemen met bepaalde websites veroorzaken. U dient ofwel een nieuw profiel te maken voor het gebruik met Firefox 52 ESR, of anders Firefox op te frissen na het installeren van Firefox 52 ESR.

Was dit artikel nuttig? Een moment geduld…

Deze aardige mensen hebben dit artikel helpen schrijven: Tonnes. U kunt ook helpen - lees hier hoe.